groovy.util.slurpersupport

## Class Node

- java.lang.Object
- - groovy.util.slurpersupport.Node

All Implemented Interfaces:
  Writable

    public class Node
    extends java.lang.Object
    implements Writable

Represents a node.

### Constructor Summary

Constructors
Constructor and Description
`Node(Node parent, java.lang.String name, java.util.Map attributes, java.util.Map attributeNamespaces, java.lang.String namespaceURI)`

### Method Summary

Methods
`void` `addChild(java.lang.Object child)`
`protected void` `appendNode(java.lang.Object newValue, GPathResult result)`
`java.util.Map` `attributes()`
`void` `build(GroovyObject builder, java.util.Map namespaceMap, java.util.Map<java.lang.String,java.lang.String> namespaceTagHints)`
`java.util.Iterator` `childNodes()`
`java.util.List` `children()`
`java.lang.String` `name()`
`java.lang.String` `namespaceURI()`
`protected void` `replaceBody(java.lang.Object newValue)`
`void` `replaceNode(Closure replacementClosure, GPathResult result)`
`java.lang.String` `text()`
`java.io.Writer` `writeTo(java.io.Writer out)` Writes this object to the given writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Node

    public Node(Node parent,
        java.lang.String name,
        java.util.Map attributes,
        java.util.Map attributeNamespaces,
        java.lang.String namespaceURI)

Parameters:
  `parent` - the parent node
  `name` - the name for the node
  `attributes` - the attributes for the node
  `attributeNamespaces` - the namespace mappings for attributes
  `namespaceURI` - the namespace URI if any

### Method Detail

#### name

    public java.lang.String name()

#### namespaceURI

    public java.lang.String namespaceURI()

#### attributes

    public java.util.Map attributes()

#### children

    public java.util.List children()

#### addChild

    public void addChild(java.lang.Object child)

#### replaceNode

    public void replaceNode(Closure replacementClosure,
                   GPathResult result)

#### replaceBody

    protected void replaceBody(java.lang.Object newValue)

#### appendNode

    protected void appendNode(java.lang.Object newValue,
                  GPathResult result)

#### text

    public java.lang.String text()

#### childNodes

    public java.util.Iterator childNodes()

#### writeTo

    public java.io.Writer writeTo(java.io.Writer out)
                           throws java.io.IOException

Description copied from interface: `Writable`

Writes this object to the given writer.

This is used to defer content creation until the point when it is streamed to the output destination. Oftentimes, content will be defined but not necessarily created (as is may be the case with a Closure definition.) In that case, the output is then 'deferred' to the point when it is serialized to the writer. This class may be used whenever an object should be responsible for creating its own textual representation, but creating the entire output as a single String would be inefficient (such as outputting a multi-gigabyte XML document.)

Specified by:
  `writeTo` in interface `Writable`
Parameters:
  `out` - the Writer to which this Writable should output its data.
Returns:
  the Writer that was passed
Throws:
  `java.io.IOException` - if an error occurred while outputting data to the writer

#### build

    public void build(GroovyObject builder,
             java.util.Map namespaceMap,
             java.util.Map<java.lang.String,java.lang.String> namespaceTagHints)